alsaconf: Writes empty /etc/modprobe.conf which overrides the use of /etc/modprobe.d/*

Bug #8134 reported by Debian Bug Importer on 2004-09-18
4
Affects Status Importance Assigned to Milestone
alsa-utils (Debian)
Fix Released
Unknown
alsa-utils (Ubuntu)
High
Unassigned

Bug Description

Automatically imported from Debian bug report #270413 http://bugs.debian.org/270413

severity 270413 critical
thanks

On Sep 17, Thomas Hood <email address hidden> wrote:

> Did you by any chance run alsaconf? The current version of alsaconf
> creates an empty /etc/modprobe.conf file. (That bug has been fixed in
> alsa-utils CVS.)
This sucks... I'm making it RC because it "breaks unrelated software"
(actually the whole system).

--
ciao, |
Marco | [8051 sbRDhFZI/0DWY]

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #270413 http://bugs.debian.org/270413

Debian Bug Importer (debzilla) wrote :

Message-Id: <20040907085749.E149910D673@localhost>
Date: Tue, 07 Sep 2004 10:57:49 +0200
From: Thomas Hood <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: alsaconf: Writes empty /etc/modprobe.conf which overrides the use of
 /etc/modprobe.d/*

Package: alsa-utils
Version: 1.0.5-3
Severity: normal
Tags: pending

Under Linux 2.6, alsaconf creates an empty /etc/modprobe.conf even
though it writes the module loader configuration to /etc/modprobe.d/sound.
Unfortunately the presence of /etc/modprobe.conf causes the module loader
to ignore /etc/modprobe.d/* entirely.

I have already fixed this in CVS.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing'), (50, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.8.1
Locale: LANG=en_IE@euro, LC_CTYPE=en_IE@euro

Versions of packages alsa-utils depends on:
ii alsa-base 1.0.5a-3 ALSA sound driver common files
ii dialog 1.0-20040731-1 Displays user-friendly dialog boxe
ii libasound2 1.0.5-1 Advanced Linux Sound Architecture
ii libc6 2.3.2.ds1-16 GNU C Library: Shared libraries an
ii libncurses5 5.4-4 Shared libraries for terminal hand
ii module-init-tools 3.1-pre5-6 tools for managing Linux kernel mo
ii modutils 2.4.26-1 Linux module utilities
ii pciutils 1:2.1.11-15 Linux PCI Utilities
ii whiptail 0.51.6-12 Displays user-friendly dialog boxe

-- no debconf information

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 18 Sep 2004 02:33:06 +0200
From: Marco d'Itri <email address hidden>
To: Thomas Hood <email address hidden>, <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: Bug#271763: Did you run alsaconf?

severity 270413 critical
thanks

On Sep 17, Thomas Hood <email address hidden> wrote:

> Did you by any chance run alsaconf? The current version of alsaconf
> creates an empty /etc/modprobe.conf file. (That bug has been fixed in
> alsa-utils CVS.)
This sucks... I'm making it RC because it "breaks unrelated software"
(actually the whole system).

--
ciao, |
Marco | [8051 sbRDhFZI/0DWY]

Matt Zimmerman (mdz) wrote :

Fixed by removing alsaconf from Warty

Download full text (3.9 KiB)

Source: alsa-utils
Source-Version: 1.0.6-1

We believe that the bug you reported is fixed in the latest version of
alsa-utils, which is due to be installed in the Debian FTP archive:

alsa-utils_1.0.6-1.diff.gz
  to pool/main/a/alsa-utils/alsa-utils_1.0.6-1.diff.gz
alsa-utils_1.0.6-1.dsc
  to pool/main/a/alsa-utils/alsa-utils_1.0.6-1.dsc
alsa-utils_1.0.6-1_i386.deb
  to pool/main/a/alsa-utils/alsa-utils_1.0.6-1_i386.deb
alsa-utils_1.0.6.orig.tar.gz
  to pool/main/a/alsa-utils/alsa-utils_1.0.6.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <email address hidden> (supplier of updated alsa-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 20 Sep 2004 18:22:44 +0200
Source: alsa-utils
Binary: alsa-utils
Architecture: source i386
Version: 1.0.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <email address hidden>
Changed-By: Jordi Mallach <email address hidden>
Description:
 alsa-utils - Advanced Linux Sound Architecture (utilities)
Closes: 243965 258860 261850 262371 268221 270413 272346
Changes:
 alsa-utils (1.0.6-1) unstable; urgency=low
 .
   * New upstream release.
   * Thomas Hood:
     - aconnect.c
       + 50_aconnect_betwen: 'betwen' -> 'between'
     - /usr/lib/alsa/modprobe-post-install
       + Add
     - alsaconf.in:
       + Split up 90_debian_alsaconf into three patches:
         . 90_debian_alsaconf_paths
         . 90_debian_alsaconf_idmode
         . 90_debian_alsaconf_cfgfile
       + Add 90_debian_alsaconf_notouch:
         . Do not create /etc/modprobe.conf if it didn't exist before.
           (Closes: #270413)
         . Also, do not update /etc/modprobe.d/sound if it hasn't changed.
         . Set cleanup trap before creating temporary files (not after).
       + Add 91_debian_alsaconf_noclear:
         . Don't really clear screen; just newline (Closes: #261850)
       + Add 92_debian_alsaconf_restore:
         . Set up module loader to do
           /usr/lib/alsa/modprobe-post-install (Closes: #268221)
     - amixer.1
       + Add 15_amixer_doc_bug271556:
         . Fix formatting (Closes #271556)
     - alsamixer.1
       + Add 15_alsamixer_doc_space which is nothing other than
         D. B. Harris's debian/patches/15_alsamixer_docfixes renamed
         (see the entry for 1.0.3-1). Add it to debian/patches/00list
         so that it actually gets applied.
       + Add 15_alsamixer_doc_keycase:
         . Note that commands given in upper case can also be given
           in lower case (Closes: #258860)
         . Note that h brings up a help screen (Closes: #272346)
       + Add 15_alsamixer_doc_mute:
         . Note that < and > mute channels independently onl...

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (4.1 KiB)

Message-Id: <email address hidden>
Date: Mon, 20 Sep 2004 18:32:03 -0400
From: Jordi Mallach <email address hidden>
To: <email address hidden>
Subject: Bug#270413: fixed in alsa-utils 1.0.6-1

Source: alsa-utils
Source-Version: 1.0.6-1

We believe that the bug you reported is fixed in the latest version of
alsa-utils, which is due to be installed in the Debian FTP archive:

alsa-utils_1.0.6-1.diff.gz
  to pool/main/a/alsa-utils/alsa-utils_1.0.6-1.diff.gz
alsa-utils_1.0.6-1.dsc
  to pool/main/a/alsa-utils/alsa-utils_1.0.6-1.dsc
alsa-utils_1.0.6-1_i386.deb
  to pool/main/a/alsa-utils/alsa-utils_1.0.6-1_i386.deb
alsa-utils_1.0.6.orig.tar.gz
  to pool/main/a/alsa-utils/alsa-utils_1.0.6.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <email address hidden> (supplier of updated alsa-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 20 Sep 2004 18:22:44 +0200
Source: alsa-utils
Binary: alsa-utils
Architecture: source i386
Version: 1.0.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <email address hidden>
Changed-By: Jordi Mallach <email address hidden>
Description:
 alsa-utils - Advanced Linux Sound Architecture (utilities)
Closes: 243965 258860 261850 262371 268221 270413 272346
Changes:
 alsa-utils (1.0.6-1) unstable; urgency=low
 .
   * New upstream release.
   * Thomas Hood:
     - aconnect.c
       + 50_aconnect_betwen: 'betwen' -> 'between'
     - /usr/lib/alsa/modprobe-post-install
       + Add
     - alsaconf.in:
       + Split up 90_debian_alsaconf into three patches:
         . 90_debian_alsaconf_paths
         . 90_debian_alsaconf_idmode
         . 90_debian_alsaconf_cfgfile
       + Add 90_debian_alsaconf_notouch:
         . Do not create /etc/modprobe.conf if it didn't exist before.
           (Closes: #270413)
         . Also, do not update /etc/modprobe.d/sound if it hasn't changed.
         . Set cleanup trap before creating temporary files (not after).
       + Add 91_debian_alsaconf_noclear:
         . Don't really clear screen; just newline (Closes: #261850)
       + Add 92_debian_alsaconf_restore:
         . Set up module loader to do
           /usr/lib/alsa/modprobe-post-install (Closes: #268221)
     - amixer.1
       + Add 15_amixer_doc_bug271556:
         . Fix formatting (Closes #271556)
     - alsamixer.1
       + Add 15_alsamixer_doc_space which is nothing other than
         D. B. Harris's debian/patches/15_alsamixer_docfixes renamed
         (see the entry for 1.0.3-1). Add it to debian/patches/00list
         so that it actually gets applied.
       + Add 15_alsamixer_doc_keycase:
         . Note that commands given in upper case can also be g...

Read more...

# Automatically generated email from bts, devscripts version 2.8.4
tags 219874 fixed-upstream
tags 270413 fixed-upstream
tags 272319 fixed-upstream
tags 243965 fixed-upstream
tags 271556 fixed-upstream
tags 262371 fixed-upstream

Debian Bug Importer (debzilla) wrote :

Message-Id: <20040924100842.CB68110D99A@localhost>
Date: Fri, 24 Sep 2004 12:08:42 +0200
From: Thomas Hood <email address hidden>
To: <email address hidden>
Subject: tagging 219874, tagging 270413, tagging 272319, tagging 243965, tagging 271556,
 tagging 262371

# Automatically generated email from bts, devscripts version 2.8.4
tags 219874 fixed-upstream
tags 270413 fixed-upstream
tags 272319 fixed-upstream
tags 243965 fixed-upstream
tags 271556 fixed-upstream
tags 262371 fixed-upstream

Changed in alsa-utils:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.